Page MenuHomePhabricator

[RFC] How to track description usage
Closed, ResolvedPublic

Description

We could track descriptions as:

  • "other" usage. This will trigger a lot of unnecessary purges
  • "label" usage. Will trigger some unnecessary purges when descriptions are changed but not used. We assume that descriptions are usually not used without the label;
  • separate "description" usage. Needs separate handling in several places.

Event Timeline

daniel created this task.Jun 3 2015, 12:56 PM
daniel raised the priority of this task from to High.
daniel updated the task description. (Show Details)
Rical removed a subscriber: Rical.Jun 3 2015, 6:07 PM
hoo added a comment.Jul 19 2015, 9:15 PM

separate "description" usage. Needs separate handling in several places.

That.

Tracking it as other usage causes a lot of purges, tracking it with label usage also means we need to do way more purges than needed (especially given that labels tend to be used *a lot* (we have a lot of cases with over 10k inclusions)).

Lydia_Pintscher renamed this task from Decide how to track description usage to [RFC] How to track description usage.Aug 13 2015, 8:20 PM
Lydia_Pintscher set Security to None.

Is this still relevant?

hoo added a comment.Apr 23 2017, 8:17 PM

Is this still relevant?

Sadly we didn't really decide anything… I still think we should chose the fine-grained strategy and track them separately.

@Lydia_Pintscher this is actually relevant to the issue of description being (or no longer being) shown by the mobile app. @CKoerner_WMF emailed us about that, remember?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 12:39 PM
hoo closed this task as Resolved.Aug 13 2017, 3:07 PM
hoo claimed this task.

I talked with Lydia about this today and I'm being bold here: We concluded that we want a new usage aspect for descriptions, especially in the face of T173144: Tracking implicit (extensions) usages of Wikidata.